/* 
*
*  ProLinga-Soap
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Soap.
*
*  ProLinga-Soap is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Soap is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Soap. If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#include <prolinga/SoapClient.hpp>


int main()
{
        /* Create a request */
        xmlDocPtr docReq;
        xmlNodePtr curReq;
        docReq = xmlNewDoc((const xmlChar *)"1.0");
        docReq->children = xmlNewDocNode(docReq, NULL, (const xmlChar *)"ProLinga", NULL);
        curReq = xmlDocGetRootElement(docReq);
        xmlNewTextChild (curReq, NULL, (const xmlChar *)"String", (const xmlChar *)"This is a simple request.");

        /* Send of request and get response */
        PlSoapClient sclient;
        xmlDocPtr docRes;
        docRes = sclient.soapCall(docReq, "http://localhost:8020", 0);

        /* Print response */
        xmlNodePtr curRes;
        xmlBufferPtr bufRes;
        bufRes = xmlBufferCreate();
        curRes = xmlDocGetRootElement(docRes);
        xmlNodeDump(bufRes, docRes, curRes, 0, 1);
        printf("%s\n", (char *)xmlBufferContent(bufRes));
        xmlBufferFree(bufRes);

	/* Free */
	xmlFreeDoc(docReq);
	xmlFreeDoc(docRes);

        /* Return */
        return 0;
}

